Bug 1258546 (TEIID-3629) - Teiid DDL columns options for Salesforce column have wrong name for "Calculated" property
Summary: Teiid DDL columns options for Salesforce column have wrong name for "Calculat...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: TEIID-3629
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 6.2.0
Assignee: jolee
QA Contact: Filip Elias
URL:
Whiteboard:
Depends On:
Blocks: 1242071
TreeView+ depends on / blocked
 
Reported: 2015-08-31 15:28 UTC by Barry LaFond
Modified: 2016-02-10 08:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The SalesForceMetadataProcessor.java contains an extension property key that is incompatible with Teiid Designer and prevents users from importing SF tables via Teiid COnnection importer. To work around this, save the DDL during the import, editing the DDL to fix the mis-spelled keys and re-importing via a different (DDL) importer.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:50:47 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-3629 Minor Closed Teiid DDL columns options for Salesforce column have wrong name for "Calculated" property 2016-08-18 07:51:59 UTC

Description Barry LaFond 2015-08-31 15:28:56 UTC
Teiid 8.7.x branch's SalesForceMetadataProcessor.java contains an extension property key that's incompatible with Teiid Designer and prevents importing SF tables via Teiid COnnection importer. There is a work-around involving saving the DDL during the import, editing the DDL to fix the mis-spelled keys and re-importing via a different (DDL) importer.

Suggest we back-port to get the DV 6.2 server in synch with the tooling.

Comment 2 jolee 2015-09-30 01:27:57 UTC
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.2 : 8756302

git@github.com:teiid/teiid.git : 62-8.7.x : 8756302

Comment 3 JBoss JIRA Server 2015-10-14 12:55:23 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3629 to Closed

Comment 4 JBoss JIRA Server 2015-11-06 14:11:54 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3629 to Reopened

Comment 5 JBoss JIRA Server 2015-11-06 14:12:09 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3629 to Closed


Note You need to log in before you can comment on or make changes to this bug.